LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XParagraphAppend Interface Reference

allows inserting and appending paragraphs. More...

`import"XParagraphAppend.idl";`

Inheritance diagram for XParagraphAppend:

## Public Member Functions
com::sun::star::text::XTextRange | finishParagraph ([in] com::sun::star::beans::PropertyValues CharacterAndParagraphProperties) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException )
| appends a new and empty paragraph at the end of the text. More...
com::sun::star::text::XTextRange | finishParagraphInsert ([in] com::sun::star::beans::PropertyValues CharacterAndParagraphProperties, [in] com::sun::star::text::XTextRange TextRange) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException )
| inserts a new and empty paragraph to the text at a given position. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows inserting and appending paragraphs.

## Member Function Documentation

## ◆ finishParagraph()

com::sun::star::text::XTextRange finishParagraph | ( | [in] com::sun::star::beans::PropertyValues | CharacterAndParagraphProperties | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException
| ) |  |

appends a new and empty paragraph at the end of the text.

The properties are applied to the last paragraph before the new paragraph is inserted.

Parameters

  CharacterAndParagraphProperties | can contain all the properties defined by the service Paragraph.

## ◆ finishParagraphInsert()

com::sun::star::text::XTextRange finishParagraphInsert | ( | [in] com::sun::star::beans::PropertyValues | CharacterAndParagraphProperties,
|  | [in] com::sun::star::text::XTextRange | TextRange
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException
| ) |  |

inserts a new and empty paragraph to the text at a given position.

The properties are applied to the last paragraph before the new paragraph is inserted.

Parameters

  CharacterAndParagraphProperties | can contain all the properties defined by the service Paragraph.
  TextRange | specifies the position of the insertion.

Since
  LibreOffice 4.0

The documentation for this interface was generated from the following file:

- com/sun/star/text/XParagraphAppend.idl